# $Revision: 1.10 $, $Date: 2005/05/30 11:05:56 $

%define		module	docutils

# TODO:
#	- consider renaming the spec to distutils.spec and separate
#	python-docutils subpackage (this package includes utilities in
#	%%{_bindir} and python-* packages should contain Python modules only)

Summary:	Text documents processing for Python
Summary(pl):	Moduy Pythona do przetwarzania dokumentw tekstowych
Name:		python-%{module}
Version:	0.3.9
Release:	1
License:	Public Domain
Group:		Development/Languages/Python
Source0:	http://dl.sourceforge.net/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	3b6727e4f53e88ae7cea7c296694fc6c
URL:		http://docutils.sourceforge.net/
%pyrequires_eq	python-modules
BuildRequires:	python-devel >= 1:2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of the Docutils project is to create a set of tools for
processing plaintext documentation into useful formats, such as HTML,
XML, and TeX. Support for the following sources has been implemented:
- Standalone files.
- PEPs (Python Enhancement Proposals)

Support for the following sources is planned:
- Inline documentation from Python modules and packages
- Email
- Wikis
- Compound documents
- And others as discovered.

%description -l pl
Celem projektu Docutils jest stworzenie zestawu narzdzi do
przetwarzania dokumentacji z czystego tekstu na uyteczne formaty,
takie jak HTML, XML czy TeX. Jak na razie obsugiwane s formaty:
- niezalene pliki tekstowe
- PEPy (proponowane rozszerzenia Pythona)

Planowane jest stworzenie obsugi formatw:
- dokumentacji inline dla moduw i pakietw Pythona
- Emaili
- Wiki
- dokumentw zoonych
- innych, w miar potrzeb.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -r test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*.py" | xargs rm

cd $RPM_BUILD_ROOT%{_bindir}
for f in * ; do
	mv $f ${f%%.py} 
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt HISTORY.txt COPYING.txt FAQ.txt
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/%{module}
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-docutils.spec,v $
Revision 1.10  2005/05/30 11:05:56  radzio
- 0.3.9

Revision 1.9  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.8  2004/12/15 12:17:17  radek
- minor License unifications

Revision 1.7  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.6  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.5  2004/09/10 13:13:24  jajcus
- Version 0.3.5
- "mv" usage removed from %install
- removed ".py" suffix from all executables
- all installed executables included in the package

Revision 1.4  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.3  2004/05/31 17:18:18  qboosh
- removed bogus CFLAGS (noarch, no compiled C code here)

Revision 1.2  2004/05/30 23:34:46  ankry
- cosmetics

Revision 1.1  2004/05/30 23:27:08  leafnode
- import
